public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-engines/openmw/
Date: Wed,  1 Nov 2017 20:30:04 +0000 (UTC)	[thread overview]
Message-ID: <1509568194.8c00984371aa5a6deb21325c6a9ce176d7eb261e.chewi@gentoo> (raw)

commit:     8c00984371aa5a6deb21325c6a9ce176d7eb261e
Author:     coyote <coyote <AT> bks <DOT> tv>
AuthorDate: Sun Oct 22 19:59:15 2017 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Wed Nov  1 20:29:54 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c009843

games-engines/openmw: version bump to 0.42

Closes: https://github.com/gentoo/gentoo/pull/6018

 games-engines/openmw/Manifest             |   1 +
 games-engines/openmw/openmw-0.42.0.ebuild | 133 ++++++++++++++++++++++++++++++
 2 files changed, 134 insertions(+)

diff --git a/games-engines/openmw/Manifest b/games-engines/openmw/Manifest
index a9dff470599..db551062b77 100644
--- a/games-engines/openmw/Manifest
+++ b/games-engines/openmw/Manifest
@@ -1 +1,2 @@
 DIST openmw-0.41.0.tar.gz 4884093 SHA256 a3e1c7d060dc461b9b63ceb5d9ec56b90c1bdcbfd37f0c7c7310c38ec7e3e21d SHA512 a47a7af3c6d3252e22206eb776069ef87f698acbe133b0e0294db307486c28cb300085fcf45b436af541dbb22f6d45f2ee3998e50a1c711f667f8a738813255d WHIRLPOOL 1e20820a0c5ee0ab2b3f57b881e39dc9ebf42e5e1674badce363ea654ac38f40146f8f8b86d7535a7cd5ce4c63f46cc322c482ad5c354ae6ad14dd11ee134d32
+DIST openmw-0.42.0.tar.gz 4956838 SHA256 fcbcc332ae65d03fae38ccab589b110e18a450182ace541f436f5d6a02408ade SHA512 f638e804e03e965db8e19cb37b3be67804202c1e43b0abf2730e0be104093edc31fc3656f90c570980b66ece4f5c889b44f0f59789e865327d221714a9ed65f3 WHIRLPOOL 304a01ae8c7faae5083dd95e0d0f8b87106ee58eba0eda37394ffc765f8a26c20d790e54db6a5050cc89653f5e45ddd2fe48a03e1a6c0379e1e0ad83ed2f7039

diff --git a/games-engines/openmw/openmw-0.42.0.ebuild b/games-engines/openmw/openmw-0.42.0.ebuild
new file mode 100644
index 00000000000..693f9741757
--- /dev/null
+++ b/games-engines/openmw/openmw-0.42.0.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils
+
+DESCRIPTION="Open source reimplementation of TES III: Morrowind"
+HOMEPAGE="https://openmw.org/"
+SRC_URI="https://github.com/OpenMW/openmw/archive/${P}.tar.gz"
+
+LICENSE="GPL-3 MIT BitstreamVera ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc devtools +qt5"
+
+RDEPEND="
+	>=dev-games/openscenegraph-3.3.4[ffmpeg,jpeg,png,qt5,sdl,svg,truetype,zlib]
+	dev-games/mygui
+	dev-libs/boost:=[threads]
+	dev-libs/tinyxml[stl]
+	media-libs/libsdl2[joystick,opengl,video,X]
+	media-libs/openal
+	|| ( media-libs/libtxc_dxtn x11-drivers/nvidia-drivers )
+	media-video/ffmpeg:=
+	>=sci-physics/bullet-2.86
+	virtual/opengl
+	qt5? (
+		app-arch/unshield
+		dev-qt/qtcore:5
+		dev-qt/qtnetwork:5
+		dev-qt/qtopengl:5
+		dev-qt/qtwidgets:5
+	)
+"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	doc? (
+		app-doc/doxygen
+		dev-python/sphinx
+		media-gfx/graphviz
+	)
+"
+
+S="${WORKDIR}/${PN}-${P}"
+
+src_prepare() {
+	cmake-utils_src_prepare
+
+	# We don't install license files
+	sed -e '/LICDIR/d' \
+		-i CMakeLists.txt || die
+	# Use the system tinyxml headers
+	sed -e 's/"tinyxml.h"/<tinyxml.h>/g' \
+		-e 's/"tinystr.h"/<tinystr.h>/g' \
+		-i extern/oics/ICSPrerequisites.h || die
+}
+
+src_configure() {
+	use devtools && ! use qt5 && \
+		elog "'qt5' USE flag is disabled, 'openmw-cs' will not be installed"
+
+	local mycmakeargs=(
+		-DBUILD_BSATOOL=$(usex devtools)
+		-DBUILD_ESMTOOL=$(usex devtools)
+		-DBUILD_OPENCS=$(usex devtools $(usex qt5))
+		-DBUILD_NIFTEST=$(usex devtools)
+		-DBUILD_LAUNCHER=$(usex qt5)
+		-DBUILD_WIZARD=$(usex qt5)
+		-DBUILD_UNITTESTS=OFF
+		-DGLOBAL_DATA_PATH=/usr/share
+		-DICONDIR="/usr/share/icons/hicolor/256x256/apps"
+		-DMORROWIND_DATA_FILES="/usr/share/morrowind-data"
+		-DUSE_SYSTEM_TINYXML=ON
+		-DDESIRED_QT_VERSION=5
+	)
+
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	cmake-utils_src_compile
+
+	if use doc ; then
+		emake -C "${CMAKE_BUILD_DIR}" doc
+		find "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
+			-name '*.md5' -type f -delete || die
+	fi
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	# about 43k files, dodoc seems to have trouble
+	if use doc ; then
+		dodir "/usr/share/doc/${PF}"
+		mv "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
+			"${D}/usr/share/doc/${PF}/" || die
+	fi
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+
+	elog "You need the original Morrowind data files. If you haven't"
+	elog "installed them yet, you can install them straight via the"
+	elog "installation wizard which is the officially supported method"
+	elog "(either by using the launcher or by calling 'openmw-wizard'"
+	elog "directly)."
+
+	if ! use qt5; then
+		elog
+		elog "'qt5' USE flag is disabled, 'openmw-launcher' and"
+		elog "'openmw-wizard' are not available. You are on your own for"
+		elog "making the Morrowind data files available and pointing"
+		elog "openmw at them."
+		elog
+		elog "Additionally; you must import the Morrowind.ini file before"
+		elog "running openmw with the Morrowind data files for the first"
+		elog "time. Typically this can be done like so:"
+		elog
+		elog "    mkdir -p ~/.config/openmw"
+		elog "    openmw-iniimporter /path/to/Morrowind.ini ~/.config/openmw/openmw.cfg"
+	fi
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}


             reply	other threads:[~2017-11-01 20:30 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-11-01 20:30 James Le Cuirot [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-23 16:19 [gentoo-commits] repo/gentoo:master commit in: games-engines/openmw/ Sam James
2024-03-23 13:44 Sam James
2023-09-09  0:49 Ionen Wolkens
2023-08-14 11:38 Joonas Niilola
2023-07-22 17:01 David Seifert
2023-07-22 17:01 David Seifert
2023-02-16  9:51 David Seifert
2022-08-28  0:10 Ionen Wolkens
2022-05-26  4:28 Ionen Wolkens
2021-12-18 18:26 David Seifert
2021-12-08  3:33 Sam James
2021-10-16 21:27 Ionen Wolkens
2021-09-12 20:20 Ionen Wolkens
2021-08-16  8:30 Joonas Niilola
2021-07-31  1:15 Ionen Wolkens
2021-07-14  5:47 Ionen Wolkens
2021-06-18 19:18 David Seifert
2021-06-05 23:39 Ionen Wolkens
2021-05-06 12:47 Joonas Niilola
2020-10-13 10:46 Joonas Niilola
2020-05-27  9:43 Andreas Sturmlechner
2020-03-14 17:59 Andreas Sturmlechner
2019-07-28 22:26 James Le Cuirot
2019-07-28 22:26 James Le Cuirot
2018-12-23 22:48 Andreas Sturmlechner
2018-08-21  8:31 Patrice Clement
2018-07-15 14:53 Andreas Sturmlechner
2018-03-18 10:03 Andreas Sturmlechner
2018-02-07  2:02 Andreas Sturmlechner
2018-01-12 21:02 David Seifert
2017-03-02 19:39 Andreas Sturmlechner
2017-02-18 21:45 Andreas Sturmlechner
2017-02-18 21:17 Andreas Sturmlechner
2017-02-18 21:17 Andreas Sturmlechner
2016-11-11 19:39 Austin English
2016-06-07 22:27 Michael Sterrett
2016-05-24 19:52 Michael Sterrett
2015-09-06 19:31 Michael Sterrett
2015-08-09 13:28 Julian Ospald
2015-08-09 12:25 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1509568194.8c00984371aa5a6deb21325c6a9ce176d7eb261e.chewi@gentoo \
    --to=chewi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox